object MainWindow: TMainWindow
  Left = 159
  Top = 129
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'Light Scattering by an Agglomerate of Spheres'
  ClientHeight = 519
  ClientWidth = 690
  Color = clTeal
  DefaultMonitor = dmDesktop
  DockSite = True
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poDesktopCenter
  OnCreate = FormCreate
  OnDestroy = FormDestroy
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 40
    Top = 8
    Width = 614
    Height = 81
    Alignment = taCenter
    Caption = 
      'Calculation of the Scattering Parameters for a given Agglomerate' +
      ' of Spheres, containing the Generalized Mie Scattering Model acc' +
      'ording to Xu'
    Font.Charset = ANSI_CHARSET
    Font.Color = clYellow
    Font.Height = -24
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    WordWrap = True
  end
  object Panel1: TPanel
    Left = 8
    Top = 112
    Width = 673
    Height = 42
    BorderStyle = bsSingle
    Color = clMoneyGreen
    TabOrder = 3
    object Label2: TLabel
      Left = 8
      Top = 8
      Width = 474
      Height = 18
      Caption = 
        '1. The Agglomerate needs to be configured, please press the butt' +
        'on!'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
  end
  object AggrConfigButton: TButton
    Left = 504
    Top = 116
    Width = 169
    Height = 33
    Caption = 'Agglomerate Configuration'
    Default = True
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    TabOrder = 0
    OnClick = AggrConfigButtonClick
  end
  object Panel2: TPanel
    Left = 8
    Top = 162
    Width = 673
    Height = 143
    BorderStyle = bsSingle
    Color = clMoneyGreen
    TabOrder = 4
    object Label3: TLabel
      Left = 8
      Top = 8
      Width = 424
      Height = 18
      Caption = 
        '2. Further required values:       Refractive Index of the medium' +
        ':'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label4: TLabel
      Left = 217
      Top = 40
      Width = 335
      Height = 18
      Caption = 'Wavelength of the incident beam in vacuum [nm]:'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label31: TLabel
      Left = 217
      Top = 72
      Width = 253
      Height = 18
      Caption = 'Aperture angle ['#176'] (not implemented):'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label41: TLabel
      Left = 217
      Top = 104
      Width = 341
      Height = 18
      Caption = 'Number of Orientations for Orientation Averaging:'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object RefrIndexInput: TJvEdit
      Left = 600
      Top = 8
      Width = 49
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 0
    end
    object WavelengthInput: TJvEdit
      Left = 600
      Top = 40
      Width = 49
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 1
    end
    object ApAngleInput: TJvEdit
      Left = 600
      Top = 72
      Width = 49
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 2
    end
    object CbOrientations: TComboBox
      Left = 600
      Top = 104
      Width = 49
      Height = 24
      AutoDropDown = True
      BevelInner = bvLowered
      BevelKind = bkSoft
      BevelOuter = bvSpace
      Style = csDropDownList
      BiDiMode = bdLeftToRight
      Enabled = False
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ItemHeight = 16
      ItemIndex = 0
      MaxLength = 5
      ParentBiDiMode = False
      ParentFont = False
      TabOrder = 3
      Text = '1'
      Items.Strings = (
        '1'
        '2'
        '6'
        '8'
        '12'
        '14')
    end
  end
  object Panel3: TPanel
    Left = 8
    Top = 450
    Width = 345
    Height = 57
    BorderStyle = bsSingle
    Color = clMoneyGreen
    TabOrder = 6
  end
  object ResetButton: TButton
    Left = 128
    Top = 458
    Width = 105
    Height = 41
    Caption = 'Reset'
    Enabled = False
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    TabOrder = 2
    OnClick = ResetButtonClick
  end
  object CloseButton: TButton
    Left = 240
    Top = 458
    Width = 105
    Height = 41
    Hint = 
      'Attention! Because of more efficient computing, CLOSE can last s' +
      'everal minutes to proceed!'
    Cancel = True
    Caption = 'Close Program'
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    ParentShowHint = False
    ShowHint = True
    TabOrder = 1
    OnClick = CloseButtonClick
  end
  object StartButton: TButton
    Left = 16
    Top = 458
    Width = 105
    Height = 41
    Caption = 'Start Calculation'
    Default = True
    Enabled = False
    Font.Charset = ANSI_CHARSET
    Font.Color = clWindowText
    Font.Height = -13
    Font.Name = 'Arial'
    Font.Style = []
    ParentFont = False
    TabOrder = 5
    OnClick = StartButtonClick
  end
  object Panel4: TPanel
    Left = 8
    Top = 312
    Width = 673
    Height = 129
    BorderStyle = bsSingle
    Color = clMoneyGreen
    TabOrder = 7
    object Label5: TLabel
      Left = 8
      Top = 16
      Width = 72
      Height = 18
      Caption = '3. Results:'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label12: TLabel
      Left = 96
      Top = 16
      Width = 111
      Height = 18
      Caption = 'Cross Sections:'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label13: TLabel
      Left = 416
      Top = 16
      Width = 159
      Height = 18
      Caption = 'Asymmetry Parameter:'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label14: TLabel
      Left = 216
      Top = 18
      Width = 33
      Height = 16
      Caption = 'C    ='
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label15: TLabel
      Left = 225
      Top = 24
      Width = 13
      Height = 12
      Caption = 'ext'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -9
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label16: TLabel
      Left = 216
      Top = 58
      Width = 33
      Height = 16
      Caption = 'C    ='
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label17: TLabel
      Left = 225
      Top = 64
      Width = 15
      Height = 12
      Caption = 'sca'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -9
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label18: TLabel
      Left = 216
      Top = 98
      Width = 33
      Height = 16
      Caption = 'C    ='
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label19: TLabel
      Left = 225
      Top = 104
      Width = 15
      Height = 12
      Caption = 'abs'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -9
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label20: TLabel
      Left = 460
      Top = 56
      Width = 53
      Height = 16
      Caption = '<cos  >='
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label21: TLabel
      Left = 490
      Top = 56
      Width = 6
      Height = 16
      Caption = 'q'
      Font.Charset = SYMBOL_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Symbol'
      Font.Style = []
      ParentFont = False
    end
    object Label7: TLabel
      Left = 376
      Top = 16
      Width = 7
      Height = 16
      Caption = 'm'
      Font.Charset = SYMBOL_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Symbol'
      Font.Style = []
      ParentFont = False
    end
    object Label8: TLabel
      Left = 384
      Top = 16
      Width = 15
      Height = 16
      Caption = 'm'#178
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label9: TLabel
      Left = 384
      Top = 56
      Width = 15
      Height = 16
      Caption = 'm'#178
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label10: TLabel
      Left = 376
      Top = 56
      Width = 7
      Height = 16
      Caption = 'm'
      Font.Charset = SYMBOL_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Symbol'
      Font.Style = []
      ParentFont = False
    end
    object Label11: TLabel
      Left = 384
      Top = 96
      Width = 15
      Height = 16
      Caption = 'm'#178
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label42: TLabel
      Left = 376
      Top = 96
      Width = 7
      Height = 16
      Caption = 'm'
      Font.Charset = SYMBOL_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Symbol'
      Font.Style = []
      ParentFont = False
    end
    object Label43: TLabel
      Left = 480
      Top = 98
      Width = 33
      Height = 16
      Caption = 'C    ='
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label44: TLabel
      Left = 489
      Top = 104
      Width = 8
      Height = 12
      Caption = 'pr'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -9
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label45: TLabel
      Left = 640
      Top = 96
      Width = 7
      Height = 16
      Caption = 'm'
      Font.Charset = SYMBOL_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Symbol'
      Font.Style = []
      ParentFont = False
    end
    object Label46: TLabel
      Left = 648
      Top = 96
      Width = 15
      Height = 16
      Caption = 'm'#178
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object EdExtCoeff: TJvEdit
      Left = 256
      Top = 16
      Width = 113
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 0
    end
    object EdScatCoeff: TJvEdit
      Left = 256
      Top = 56
      Width = 113
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 1
    end
    object EdAbsCoeff: TJvEdit
      Left = 256
      Top = 96
      Width = 113
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 2
    end
    object EdAsyPar: TJvEdit
      Left = 520
      Top = 56
      Width = 113
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 3
    end
    object EdRadPresCoeff: TJvEdit
      Left = 520
      Top = 96
      Width = 113
      Height = 21
      Alignment = taRightJustify
      GroupIndex = -1
      MaxPixel.Font.Charset = DEFAULT_CHARSET
      MaxPixel.Font.Color = clWindowText
      MaxPixel.Font.Height = -11
      MaxPixel.Font.Name = 'MS Sans Serif'
      MaxPixel.Font.Style = []
      Modified = False
      SelStart = 0
      SelLength = 0
      Enabled = False
      PasswordChar = #0
      ReadOnly = False
      TabOrder = 4
    end
  end
  object Panel5: TPanel
    Left = 368
    Top = 450
    Width = 313
    Height = 57
    BorderStyle = bsSingle
    Color = clMoneyGreen
    TabOrder = 8
    object Label6: TLabel
      Left = 8
      Top = 16
      Width = 77
      Height = 18
      Caption = 'Messages:'
      Font.Charset = ANSI_CHARSET
      Font.Color = clWindowText
      Font.Height = -16
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
    end
    object Label22: TLabel
      Left = 96
      Top = 18
      Width = 164
      Height = 16
      Caption = 'Agglomerate Configuration...'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label23: TLabel
      Left = 96
      Top = 18
      Width = 131
      Height = 16
      Caption = 'Agglomerate specified!'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label24: TLabel
      Left = 96
      Top = 18
      Width = 120
      Height = 16
      Caption = 'Calculation started...'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label25: TLabel
      Left = 96
      Top = 18
      Width = 109
      Height = 16
      Caption = 'Initializing values...'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label26: TLabel
      Left = 96
      Top = 18
      Width = 164
      Height = 16
      Caption = 'Center of Gravity Calculation'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label27: TLabel
      Left = 96
      Top = 18
      Width = 171
      Height = 16
      Caption = 'Point of Origin Transformation'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label28: TLabel
      Left = 96
      Top = 18
      Width = 158
      Height = 16
      Caption = 'Calculating Size Parameter'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label29: TLabel
      Left = 96
      Top = 18
      Width = 182
      Height = 16
      Caption = 'Calculating Wiscombe Criterion'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label30: TLabel
      Left = 96
      Top = 18
      Width = 176
      Height = 16
      Caption = 'Calculating rel. refractive index'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label32: TLabel
      Left = 96
      Top = 18
      Width = 153
      Height = 16
      Caption = 'Calculating Mie Parameter'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label33: TLabel
      Left = 96
      Top = 18
      Width = 192
      Height = 16
      Caption = 'Transforming to Spherical Coords'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label34: TLabel
      Left = 96
      Top = 18
      Width = 159
      Height = 16
      Caption = 'Calculating Distance Matrix'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label35: TLabel
      Left = 96
      Top = 18
      Width = 150
      Height = 16
      Caption = 'Building Coefficient Matrix'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label36: TLabel
      Left = 96
      Top = 18
      Width = 184
      Height = 16
      Caption = 'Solving linear equation system..'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label37: TLabel
      Left = 96
      Top = 18
      Width = 202
      Height = 16
      Caption = 'Calculating Extinction Coefficient...'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label38: TLabel
      Left = 96
      Top = 18
      Width = 203
      Height = 16
      Caption = 'Calculating Scattering Coefficient...'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label39: TLabel
      Left = 96
      Top = 18
      Width = 211
      Height = 16
      Caption = 'Calculating Asymmetry Parameter...'
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
    object Label40: TLabel
      Left = 96
      Top = 18
      Width = 137
      Height = 16
      Caption = 'Changing Orientation... '
      Font.Charset = ANSI_CHARSET
      Font.Color = clRed
      Font.Height = -13
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      Visible = False
    end
  end
end
